MODEL:
  META_ARCHITECTURE: "GeneralizedRCNN"
  WEIGHT: "catalog://ImageNetPretrained/MSRA/R-101"
  PRETRAINED_MODELS: 'pretrained_models'
  BACKBONE:
    CONV_BODY: "R-101-FPN"
    OUT_CHANNELS: 256
  RPN:
    USE_FPN: True
    ANCHOR_STRIDE: (4, 8, 16, 32, 64)
    PRE_NMS_TOP_N_TRAIN: 2000
    PRE_NMS_TOP_N_TEST: 1000
    POST_NMS_TOP_N_TEST: 1000
    FPN_POST_NMS_TOP_N_TEST: 1000
  ROI_HEADS:
    USE_FPN: True
  ROI_BOX_HEAD:
    POOLER_RESOLUTION: 7
    POOLER_SCALES: (0.25, 0.125, 0.0625, 0.03125)
    POOLER_SAMPLING_RATIO: 2
    FEATURE_EXTRACTOR: "FPN2MLPFeatureExtractor"
    PREDICTOR: "FPNPredictor"
    NUM_CLASSES: 2 #Classes + Background
  ROI_MASK_HEAD:
    POOLER_SCALES: (0.25, 0.125, 0.0625, 0.03125)
    FEATURE_EXTRACTOR: "MaskRCNNFPNFeatureExtractor"
    PREDICTOR: "MaskRCNNC4Predictor"
    POOLER_RESOLUTION: 14
    POOLER_SAMPLING_RATIO: 2
    RESOLUTION: 28
    SHARE_BOX_FEATURE_EXTRACTOR: False
  MASK_ON: True
  MASKIOU_ON: True
DATASETS:
  COMBI: False
  EPOCHS: 10
  JSON: "onlyinsect.json"
  IMS_PER_BATCH: (16,)
  PARENT_FOLDER: "/home/jjuergen/Desktop/masterarbeit/Bilder/Datasets"
  TRAIN: ("coco_train_insect",) #2550
  TEST: ("coco_test_insect",)
DATALOADER:
  SIZE_DIVISIBILITY: 32
SOLVER:
  BASE_LR: 0.0007
  WEIGHT_DECAY: 0.00001
  STEPS: ()
  MAX_ITER: 5000
  IMS_PER_BATCH: 16
  CHECKPOINT_PERIOD: 5000000 #if COMBI = True than its meaning changes from iteration to epoch
INPUT:
  PIXEL_MEAN: [23.084908664226532, 53.57300454378128, 66.4227147102356]
  PIXEL_STD: [17.625615413512723, 32.47555496297909, 34.37157732606353]
OUTPUT_DIR: "models/parameter/"
